#include <bits/stdc++.h>

using namespace std;

int n;

struct slog {
float zarada,porez;
}niz[100000009];

bool uslov (slog a, slog b){
return a.porez>b.porez;
}

float RES=0,x;

float provera (float porez){

    float br=0;

    for (int i=1;i<=n;i++){
        if (porez <= niz[i].porez){
            br+=niz[i].zarada;
        }
    }
return br;
}


int main () {

    cin>>n;

    for (int i=1;i<=n;i++){
        cin>>niz[i].zarada;
        cin>>niz[i].porez;
    }

    sort(niz+1,niz+n+1,uslov);

    for (int i=1;i<=n;i++){
        RES=max(RES,(provera(niz[i].porez))/100*niz[i].porez);
    }

    cout<<RES<<endl;



return 0;
}